Creates a user for a supplier
curl --request POST \
--url https://app.chemcloud.com.au/api/public/buyer/v1/suppliers/{supplier_id}/users \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"first_name": "John",
"last_name": "Smith",
"contact_email": "hello@chemcloud.com.au"
}
'import requests
url = "https://app.chemcloud.com.au/api/public/buyer/v1/suppliers/{supplier_id}/users"
payload = {
"first_name": "John",
"last_name": "Smith",
"contact_email": "hello@chemcloud.com.au"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Smith',
contact_email: 'hello@chemcloud.com.au'
})
};
fetch('https://app.chemcloud.com.au/api/public/buyer/v1/suppliers/{supplier_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "99999a99-b888-777c-666d-55555555555e",
"first_name": "John",
"last_name": "Smith",
"contact_email": "hello@chemcloud.com.au",
"supplier_profile_id": "99999a99-b888-777c-666d-55555555555e",
"created_at": "2025-12-31T23:13:11.862Z",
"updated_at": "2025-12-31T23:13:11.862Z"
}Supplier Users
Creates a user for a supplier
POST
/
api
/
public
/
buyer
/
v1
/
suppliers
/
{supplier_id}
/
users
Creates a user for a supplier
Authorizations
Path Parameters
Body
application/json
Response
Supplier user created
Example:
"99999a99-b888-777c-666d-55555555555e"
Example:
"John"
Example:
"Smith"
Example:
"hello@chemcloud.com.au"
Example:
"99999a99-b888-777c-666d-55555555555e"
Example:
"2025-12-31T23:13:11.862Z"
Example:
"2025-12-31T23:13:11.862Z"
Was this page helpful?
⌘I

